import { makeStyles } from '@mui/styles';
export var useStyles = makeStyles({
    sourceItem: {
        display: 'flex',
        overflow: 'hidden'
    },
    eyeIcon: function (_a) {
        var isFocused = _a.isFocused;
        return ({
            marginLeft: '10px',
            color: isFocused ? '#000' : 'rgba(0, 0, 0, 0.54)'
        });
    },
    label: {
        color: 'rgba(0, 0, 0, 0.87)',
        verticalAlign: 'top',
        fontSize: '13px',
        lineHeight: '16px'
    },
    sourceInfo: {
        overflow: 'hidden'
    },
    crosswalkValue: {
        color: 'rgba(0, 0, 0, 0.54)',
        fontSize: '12px',
        whiteSpace: 'nowrap',
        overflow: 'hidden',
        textOverflow: 'ellipsis'
    },
    sourceIcon: function (_a) {
        var color = _a.color;
        return ({
            height: '16px',
            width: '16px',
            marginRight: '9px',
            fontSize: '14px',
            backgroundColor: color
        });
    },
    crosswalkIcon: function (_a) {
        var color = _a.color, isOpaque = _a.isOpaque, isDisabled = _a.isDisabled;
        return ({
            backgroundColor: isDisabled ? '#fff' : color,
            border: isDisabled ? "2px solid ".concat(color) : null,
            height: '12px',
            width: '12px',
            boxSizing: 'border-box',
            borderRadius: '30px',
            opacity: isOpaque ? 1 : 0.38,
            transition: 'opacity 0.3s'
        });
    }
});
